Partially updates a channel. All body fields are optional.
curl --request PATCH \
--url https://app.up.telestream.com/livecapture/v1/{space_id}/channels/{channel_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_properties": "<string>",
"continuous_recording": true,
"recording_duration": 123,
"region": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://app.up.telestream.com/livecapture/v1/{space_id}/channels/{channel_id}"
payload = {
"name": "<string>",
"description": "<string>",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_properties": "<string>",
"continuous_recording": True,
"recording_duration": 123,
"region": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_properties: '<string>',
continuous_recording: true,
recording_duration: 123,
region: '<string>',
tags: ['<string>']
})
};
fetch('https://app.up.telestream.com/livecapture/v1/{space_id}/channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"continuous_recording": true,
"expected_properties": "<string>",
"pinned": true,
"activated_at": "2023-11-07T05:31:56Z",
"auto_shutdown": {
"enabled": true,
"no_recording_timeout": 123,
"no_stream_timeout": 123
},
"recording_duration": 123,
"recording": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"outputs": [
{
"file_name": "<string>",
"location_url": "<string>",
"format": "<string>"
}
]
},
"recording_settings": {
"engine_version": "<string>",
"settings": "<string>"
},
"recording_trigger": {
"recording_trigger": true
},
"region": "<string>",
"errors": [
"<string>"
],
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error_message": "<string>"
}{
"error_message": "<string>"
}{
"errors": {}
}{
"error_message": "<string>"
}channel
Partially updates a channel. All body fields are optional.
PATCH
/
{space_id}
/
channels
/
{channel_id}
Partially updates a channel. All body fields are optional.
Authorizations
OAuth2 bearer token in the Authorization header
Path Parameters
UP Space Id
Unique identifier of a Channel
Body
application/json
All fields are optional; supplied fields are updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Update Channel
Example:
"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"
Example:
"CNN East Recorder"
ID of the live source (managed by UP.LiveSources) this channel records from.
Available options:
DRAFT, INACTIVE, PENDING, ACTIVE, RECORDING, FINISHING_RECORDING, ERROR Expected stream-properties config as a JSON string.
Show child attributes
Show child attributes
Hours of available recorded window when continuous_recording is true.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-04-21T15:53:12.388317Z"
Example:
"2025-04-22T15:53:12.182617Z"
⌘I
